Bug Hunting Session
Bug 117296 - Firebird: Migration: crash: migrating a table with numeric column type and data crashes libo
Summary: Firebird: Migration: crash: migrating a table with numeric column type and da...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: haveBacktrace
Depends on:
Blocks: Database-Firebird-Migration
  Show dependency treegraph
 
Reported: 2018-04-27 18:06 UTC by Drew Jensen
Modified: 2018-05-03 13:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test odb file (created in Libo 5.4.6.2) (4.57 KB, application/vnd.oasis.opendocument.database)
2018-04-27 18:07 UTC, Drew Jensen
Details
gdb backtrace (50.74 KB, text/x-log)
2018-04-27 21:50 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-04-27 18:06:09 UTC
Description:
Migrating an empty table with a numeric field works as expected. Doing so with data in the field crashes libO, no command line error messages, no GUI error messages, upon restart LibO enters recovery mode for the file

test system: 
Version: 6.1.0.0.alpha1
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Steps to Reproduce:
1.Download the attached file
2. Open and click on tables
3. When prompted to migrate to firebird say yes


Actual Results:  
crash

Expected Results:
table and data migrates to fb schema


Reproducible: Always


User Profile Reset: No



Additional Info:
if you open the attached file in hsql mode and empty the table, then when you migrate the file the table is created in the fb schema, no problems, no crash.


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/65.0.3325.181 Chrome/65.0.3325.181 Safari/537.36
Comment 1 Drew Jensen 2018-04-27 18:07:01 UTC
Created attachment 141719 [details]
test odb file (created in Libo 5.4.6.2)

single table, single column, two records.
Comment 2 Xisco Faulí 2018-04-27 21:47:38 UTC
Reproduced in

Version: 6.1.0.0.alpha1+
Build ID: 42494bfdd029c69cca7f0979a0ed3ab920efe45e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 6.1.0.0.alpha0+
Build ID: f4fc28aedf9c673f368ddc00f3279f6d54c1a654
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

the first commit after the migration...
Comment 3 Xisco Faulí 2018-04-27 21:50:30 UTC
Created attachment 141728 [details]
gdb backtrace
Comment 4 Drew Jensen 2018-05-01 00:43:03 UTC
Using:
Version: 6.1.0.0.alpha1+
Build ID: 5f2073fbc995fb619f398a55187413813578b62e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-04-29_23:58:54
Locale: en-US (en_US.UTF-8); Calc: group

The application doesn't crash, rather it now just becomes unresponsive and must be killed.

The following error messages are sent to stdout:

*** Error in `/home/drew/Desktop/install_apr29/opt/libreofficedev6.1/program/soffice.bin': double free or corruption (out): 0x0000000002b92f30 ***
*** Error in `/home/drew/Desktop/install_apr29/opt/libreofficedev6.1/program/soffice.bin': free(): corrupted unsorted chunks: 0x0000000002a2d400 ***
drew@drews-4banger:~/Desktop/install_apr29/opt/libreofficedev6.1/program$
Comment 5 Commit Notification 2018-05-02 09:13:25 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9123711dd092139fb95be92f3ff0cdde657086dd

tdf#117296 dbahsql: Fix migration of numeric

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-05-03 13:55:58 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: f1579d3d6c5f5f3a651825e035b93bee7a4f43c6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Tamas, thanks for fixing this!!